"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("logger");
const Application_1 = __importDefault(require("./Application"));
exports.Application = Application_1.default;
const express = require("express");
const bootstrap = async (config) => {
    const csApp = new Application_1.default(config);
    const server = await csApp.buildServer();
    const { port } = config;
    const expressApp = express();
    expressApp.use('/health', (req, res, next) => res.json());
    server.applyMiddleware({ app: expressApp });
    expressApp.listen({ port }, () => {
        logger_1.logger.log(`server is running on localhost:${port}`);
    });
};
exports.bootstrap = bootstrap;
//# sourceMappingURL=index.js.map